curl --request POST \
--url https://rest.forestreet.com/v2/teams/{teamId}/collections \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPrivate": true,
"isUserCreated": true,
"isDefault": true
}
'import requests
url = "https://rest.forestreet.com/v2/teams/{teamId}/collections"
payload = {
"name": "<string>",
"description": "<string>",
"isPrivate": True,
"isUserCreated": True,
"isDefault": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPrivate: true,
isUserCreated: true,
isDefault: true
})
};
fetch('https://rest.forestreet.com/v2/teams/{teamId}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"createdDate": "<string>",
"description": "<string>",
"isUserCreated": 123,
"isDefault": 123,
"isPrivate": 123
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request - Invalid input"
}{
"success": false,
"errorCode": "UNAUTHORISED",
"message": "Unauthorized - User not authenticated"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this team"
}{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Create a collection
Create a collection within a specific team.
The authenticated user must have access to the team.
Authorizations
Pass a static API key for every request, provided by your customer support.
Path Parameters
ID of the team whose collections are being retrieved.
x > 0Body
Request body schema for creating a new collection.
Name of the new collection.
1Optional description of the new collection.
Whether the collection is private. Defaults to true.
Indicates whether the collection was created by a user.
Indicates whether the collection is set as the default.
Response
Collection created successfully
Unique identifier for the collection.
The name of the collection.
The date when the collection was created.
Optional description providing additional details about the collection.
Indicates whether the collection was created by a user.
Indicates whether the collection is set as the default.
Indicates whether the collection is private.